Subject: First sightings--Cambridge, MA

From: "Richard A. Lent" <[email-masked]>
Date: Fri, 21 Apr 1995 08:20:38 -0500

20 April 1995.  Cabbage white (Pieris rapae), Smithsonian Astrophysical
Observatory, Cambridge, Massachusetts.

+-------------------------------------------------------------------------+
| Richard A. Lent                  Harvard University                     |
|                                  Harvard Forest                         |
| ralent@amherst     (Bitnet)      P. O. Box 68, Petersham, MA  01366 USA |
| [email-masked] (Internet)    508-724-0228/3302 (voice)              |
| [email-masked]  (Internet)    508-724-3595 (fax)                     |
+-------------------------------------------------------------------------+